tbb::interface6::internal::basic_handler Class Reference

`#include <aggregator.h>`

Collaboration diagram for tbb::interface6::internal::basic_handler:

## Public Member Functions

| basic_handler ()
void | operator() (aggregator_operation *op_list) const

## Detailed Description

Definition at line 69 of file aggregator.h.

## Constructor & Destructor Documentation

## basic_handler()

tbb::interface6::internal::basic_handler::basic_handler | ( |  | ) |

inline

Definition at line 71 of file aggregator.h.

{}

## Member Function Documentation

## operator()()

void tbb::interface6::internal::basic_handler::operator() | ( | aggregator_operation * | op_list | ) | const

inline

Definition at line 72 of file aggregator.h.

{
while (op_list) {
// ITT note: &(op_list->status) tag is used to cover accesses to the operation data.
// The executing thread "acquires" the tag (see start()) and then performs
// the associated operation w/o triggering a race condition diagnostics.
// A thread that created the operation is waiting for its status (see execute_impl()),
// so when this thread is done with the operation, it will "release" the tag
// and update the status (see finish()) to give control back to the waiting thread.
basic_operation_base& request = static_cast<basic_operation_base&>(*op_list);
// IMPORTANT: need to advance op_list to op_list->next() before calling request.finish()
op_list = op_list->next();
request.start();
request.apply_body();
request.finish();
}
}

References tbb::interface6::internal::basic_operation_base::apply_body(), tbb::interface6::aggregator_operation::finish(), tbb::interface6::aggregator_operation::next(), and tbb::interface6::aggregator_operation::start().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- aggregator.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.